'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Option = require('@bootstrap-styled/v4/lib/Option');

var _Option2 = _interopRequireDefault(_Option);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var injectIntl = void 0; /**
                         *
                         * ToggleOption
                         *
                         */

var intlShape = void 0;

// this make react-intl optional to our component and our module
try {
  var reactIntl = require('react-intl'); // eslint-disable-line
  injectIntl = reactIntl.injectIntl; // eslint-disable-line
  intlShape = reactIntl.intlShape; // eslint-disable-line
} catch (er) {
  injectIntl = null;
  intlShape = null;
}

/**
 * This component is automatically used when using `<Toggle />`
 * If you need a different option tag, instead just pass the prop `optionTag` to the `<Toggle />` component.
 */
var ToggleOption = function ToggleOption(_ref) {
  var Tag = _ref.tag,
      value = _ref.value,
      message = _ref.message,
      intl = _ref.intl;
  return _react2.default.createElement(
    Tag,
    { value: value },
    message && intl ? intl.formatMessage(message) : value
  );
};

ToggleOption.defaultProps = {
  tag: _Option2.default
};

/* eslint-disable react/require-default-props */
ToggleOption.propTypes = {
  /**
   * Replace the default component tag by the one specified. Can be:
   */
  tag: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.element, _propTypes2.default.func]),
  /**
   * The value
   */
  value: _propTypes2.default.string.isRequired,
  /**
   * react-intl messages (optional)
   */
  message: _propTypes2.default.object
};

var exported = ToggleOption; // eslint-disable-line import/no-mutable-exports

if (intlShape) {
  /** @ignore */
  ToggleOption.propTypes.intl = intlShape.isRequired;
  exported = injectIntl(ToggleOption);
}

exports.default = exported;
module.exports = exports['default'];