'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _reactIntl = require('react-intl');

var _ToggleOption = require('../ToggleOption');

var _ToggleOption2 = _interopRequireDefault(_ToggleOption);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable function-paren-newline */
describe('<ToggleOption />', function () {
  it('should render default language messages', function () {
    var defaultEnMessage = 'someContent';
    var message = (0, _reactIntl.defineMessages)({
      enMessage: {
        id: 'boilerplate.containers.LocaleToggle.en',
        defaultMessage: defaultEnMessage
      }
    });
    var renderedComponent = (0, _enzyme.shallow)(_react2.default.createElement(
      _reactIntl.IntlProvider,
      { locale: 'en' },
      _react2.default.createElement(_ToggleOption2.default, { value: 'en', message: message.enMessage })
    ));
    expect(renderedComponent.contains(_react2.default.createElement(_ToggleOption2.default, { value: 'en', message: message.enMessage }))).toBe(true);
  });

  it('should display `value`(two letter language code) when `message` is absent', function () {
    var renderedComponent = (0, _enzyme.mount)(_react2.default.createElement(
      _reactIntl.IntlProvider,
      { locale: 'de' },
      _react2.default.createElement(_ToggleOption2.default, { value: 'de' })
    ));
    expect(renderedComponent.text()).toBe('de');
  });
});