'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _reactIntl = require('react-intl');

var _Option = require('@bootstrap-styled/v4/lib/Option');

var _Option2 = _interopRequireDefault(_Option);

var _index = require('../index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<Toggle />', function () {
  it('should contain default text', function () {
    var defaultEnMessage = 'someContent';
    var defaultDeMessage = 'someOtherContent';
    var messages = (0, _reactIntl.defineMessages)({
      en: {
        id: 'boilerplate.containers.LocaleToggle.en',
        defaultMessage: defaultEnMessage
      },
      de: {
        id: 'boilerplate.containers.LocaleToggle.en',
        defaultMessage: defaultDeMessage
      }
    });
    var renderedComponent = (0, _enzyme.shallow)(_react2.default.createElement(
      _reactIntl.IntlProvider,
      { locale: 'en' },
      _react2.default.createElement(_index2.default, { values: ['en', 'de'], messages: messages })
    ));
    expect(renderedComponent.contains(_react2.default.createElement(_index2.default, { values: ['en', 'de'], messages: messages }))).toBe(true);
    expect(renderedComponent.find('option').length).toBe(0);
  });
  it('should not have ToggleOptions if props.values is not defined', function () {
    var renderedComponent = (0, _enzyme.shallow)(_react2.default.createElement(_index2.default, null));
    expect(renderedComponent.contains(_react2.default.createElement(
      _Option2.default,
      null,
      '--'
    ))).toBe(true);
    expect(renderedComponent.find('Option').length).toBe(1);
  });
}); /* eslint-disable function-paren-newline */